Update a record
curl --request PATCH \
--url https://api.endclose.com/v1/records/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"amount": 123,
"description": "<string>",
"date": "2023-12-25",
"external_id": "<string>",
"metadata": {}
}
'import requests
url = "https://api.endclose.com/v1/records/{id}"
payload = {
"amount": 123,
"description": "<string>",
"date": "2023-12-25",
"external_id": "<string>",
"metadata": {}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
description: '<string>',
date: '2023-12-25',
external_id: '<string>',
metadata: {}
})
};
fetch('https://api.endclose.com/v1/records/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": 123,
"direction": "credit",
"date": "2023-12-25",
"data_stream_key": "<string>",
"id": 123,
"currency": "USD",
"decimal_places": 2,
"description": "<string>",
"metadata": {},
"external_id": "<string>"
}Records
Update a record
Update a record’s fields. The record must have a status of unreconciled. Records that are partially or fully reconciled cannot be modified.
PATCH
/
records
/
{id}
Update a record
Authorizations
Path Parameters
The unique identifier of the record
Body
application/json
Response
Record updated
The monetary amount in cents (e.g., 1234 = $12.34)
Available options:
credit, debit Three-letter ISO 4217 currency code (e.g. USD, EUR). Optional on create — defaults to USD when omitted. Case-insensitive on input; always returned uppercase.
Pattern:
^[A-Za-z]{3}$Number of decimal places for this currency (2 for USD)